gnutls_x509_crq_set_key_rsa_raw(3)

NAME
gnutls_x509_crq_set_key_rsa_raw - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_key_rsa_raw(gnutls_x509_crq_t crq, const gnutls_datum_t * m, const gnutls_datum_t * e);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

const gnutls_datum_t * m
    holds the modulus

const gnutls_datum_t * e
    holds the public exponent

DESCRIPTION
This function will set the public parameters from the given private key to the request. Only RSA keys are currently supported.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/